## debian-edu-config 2.11.39

=== debian/changelog ===
debian-edu-config (2.11.39) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add bin/debian-edu-copy-pki targeting roaming workstations (Closes: #951071)
    The issues mentionend in the bug report are now cared for via policy files
    for Firefox ESR, Thunderbird and Chromium.
    The self signed Debian Edu server certificate has been the only problem left
    for roaming workstations (in case a program uses the PKI infrastructure).
  * Add man page share/man/man1/debian-edu-copy-pki.1.
  * Improve sbin/debian-edu-ltsp-install:
    - Add one more explanation to the script header, thanks Holger.
    - Replace condition for NFS export configuration in case of a combined
      server. This will fix the setup if the script is executed inside the
      Debian Installer.
  * share/man/man8/debian-edu-ltsp-install: Correct image type description.
  * sbin/debian-edu-pxeinstall: use the now available homeworld theme.
  * Workaround CUPS bug (#977198, cups service fails randomly after reboot):
    - Add override file share/debian-edu-config/cups.service.
    - Adjust cf3/cf.workarounds to activate the override file.
    This makes sure the cups service starts after the nslcd one (needed because
    the Debian Edu cups-files.conf refers to an LDAP group).

 -- Holger Levsen <holger@debian.org>  Sun, 13 Dec 2020 10:56:48 +0100
