=== debian/changelog ===
debian-edu-config (2.11.40) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Rework sssd configuration, thanks to Mike Gabriel. (Closes: #977462)
    - share/debian-edu-config/tools/sssd-generate-config:
      Cleanup the included HERE documents (configuration snippets) from entries
      that are either default ones (like excluding the root user), obsolete, no
      longer in use or non-existent; also correct the wrong AD related one.
      As systemd is used, sssd services are now activated via sockets. The
      'service' configuration stanza needs to be empty to avoid starting
      permanently running processes. this also aviods spamming syslog with error
      messages.
    - Adjust the static etc/sssd/sssd-debian-edu.conf file accordingly.
  * Adjust sbin/debian-edu-ltsp-install:
    - Improve IP address determination for the dedicated LTSP network.
    - Add nameserver stanza to /etc/network/interfaces.
  * share/debian-edu-config/d-i/finish-install: Only run debian-edu-ltsp-install
    in case of a combined server. Leave it up to the local admin what type of
    LTSP clients should be supported. (Still needs to be documented.)
  * share/debian-edu-config/cups.service: Cleanup from superfluous entries,
    thanks to Didier 'OdyX' Raboud.
  * cf3/cf.workarounds: Create missing GOsa² related directory to avoid
    confusion in case an admin is setting up a system of type printer.

 -- Holger Levsen <holger@debian.org>  Sun, 20 Dec 2020 09:47:45 +0100
