## debian-edu-config 2.11.42

=== Makefile ===
--- 
+++ 
@@ -298,6 +298,7 @@
 		share/debian-edu-config/tools/run-at-firstboot \
 		share/debian-edu-config/tools/setup-ad-client \
 		share/debian-edu-config/tools/setup-roaming \
+		share/debian-edu-config/tools/setup-freeradius-server \
 		share/debian-edu-config/tools/show-welcome-webpage \
 		share/debian-edu-config/tools/sssd-generate-config \
 		share/debian-edu-config/tools/squid-update-cachedir \
@@ -323,7 +324,6 @@
 
 	set -e ; for f in \
 		share/debian-edu-config/avahi.smb.service \
-		share/debian-edu-config/cups.service \
 		share/debian-edu-config/rsyslog-collector \
 		share/debian-edu-config/smb.conf.edu-site \
 		share/debian-edu-config/firefox-networked-prefs.js \
@@ -336,6 +336,10 @@
 		share/debian-edu-config/debian-edu.ldapscripts.passwd \
 		share/debian-edu-config/debian-edu-timesyncd.conf \
 		share/debian-edu-config/passwords_stub.dat \
+		share/debian-edu-config/freeradius-authorize \
+		share/debian-edu-config/freeradius-clients.conf \
+		share/debian-edu-config/freeradius-eap.conf \
+		share/debian-edu-config/freeradius-mschap.conf \
 		share/debian-edu-config/gosa.conf.template \
 		share/debian-edu-config/lightdm-gtk-greeter.conf \
 		share/debian-edu-config/sudo-ldap.conf \
@@ -371,12 +375,3 @@
 		$(INSTALL_DATA) ldap-bootstrap/$$ldif $(DESTDIR)$(ldapdir)/$$ldif ; \
 	done
 
-	set -e ; for file in $(WWWFILES) ; do \
-		$(INSTALL_DATA) www/$$file $(DESTDIR)/$(wwwdir)/$$file ; \
-	done
-
-install-testsuite:
-	set -e ; for f in \
-		share/debian-edu-config/testsuite-lib.sh \
-	; do \
-		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
