=== debian/changelog ===
debian-edu-config (2.11.42) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * sbin/debian-edu-pxeinstall: Use the Homeworld theme also for syslinux.
  * Drop CUPS related workaround now that bug #977198 has been fixed:
    - Remove share/debian-edu-config/cups.service.
    - Adjust Makefile and cf3/cf.workarounds.
    - Add code to debian/debian-edu-config.postinst to remove systemd override
      directory and file. Thanks to Petter Reinholdtsen for the hint.
  * Adjust testsuite/{cups,dnsd,ldap-client,ntp,samba} to reflect recent changes
    to related services.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 13:59:08 +0100

debian-edu-config (2.11.41) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add script share/debian-edu-config/tools/setup-freeradius-server. This tool
    allows one to setup freeRADIUS with a basic configuration suited for the
    Debian Edu network after installing required packages (winbind, freeradius).
    (Still needs to be documented in the manual).
  * Add example configuration files used by the 'setup-freeradius-server' tool:
    - share/debian-edu-config/freeradius-authorize (user related configuration).
    - share/debian-edu-config/freeradius-clients.conf (AP configuration).
    - share/debian-edu-config/freeradius-eap.conf (TLS configuration).
    - share/debian-edu-config/freeradius-mschap.conf (ntlm_auth configuration).
  * cf3/cf.{grub,pxeinstall}: Only run commands inside Debian Installer to avoid
    superfluous execution if cf-agent is called manually.

 -- Holger Levsen <holger@debian.org>  Sun, 27 Dec 2020 14:43:52 +0100
