## debian-edu-config 2.11.43

=== debian/changelog ===
debian-edu-config (2.11.43) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * share/debian-edu-config/tools/kerberos-kdc-init:
    - Delay clearing the debconf database from passwords until the first user's
      Samba account has been created.
  * share/debian-edu-config/tools/edu-icinga-setup:
    - Cope with recent mariadb-server package changes. Some leftover occurencies
      of 'mysql' have been replaced with 'mariadb'.
  * sbin/debian-edu-pxeinstall:
    - Determine the Debian Edu artwork theme via the desktop-base active theme
      alternative instead of hardcoding it.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2021 12:42:49 +0100
