## debian-edu-config 2.11.46

=== debian/changelog ===
debian-edu-config (2.11.46) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Rework DHCP setup. Editing /etc/default/isc-dhcp-server can be dropped this
    way and the pitfall due to bug #971275 is also avoided:
    - Add share/debian-edu-config/isc-dhcp-server.service and
      share/debian-edu-config/isc-dhcp-server.service.eth1_only. These files
      are used for conditional configuration addressing three cases: plain main
      server, combined (main and LTSP) server, and separate LTSP server.
    - Adjust cf3/cf.dhcpserver accordingly.

 -- Holger Levsen <holger@debian.org>  Mon, 25 Jan 2021 17:47:02 +0100

debian-edu-config (2.11.45) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Cope with issues found during a Buster main server upgrade.
    - cf3/cf.squid: Copy additional configuration file instead of symlinking it.
    - postinst: Add code to remove symlinks that point to already removed files
      (previously used for workarounds).

  [ Holger Levsen ]
  * postinst: use 'rm -f' instead 'rm -rf' where appropriate.

 -- Holger Levsen <holger@debian.org>  Tue, 19 Jan 2021 16:25:46 +0100

debian-edu-config (2.11.44) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Improve freeRADIUS server setup:
    - etc/samba/smb-debian-edu.conf: Use TJENER instead of SKOLELINUX as
      workgroup name to match the Samba server 'standalone' role; this way
      TJENER will be used as domain name for freeRADIUS automatically. As an
      additional benefit the wbinfo command is working to check users.
    - Move the 'ntlm auth' entry from share/debian-edu-config/smb.conf.edu-site
      to etc/samba/smb-debian-edu.conf (and enable it) to avoid a possible
      pitfall in case manual adjustment is forgotten.
    - share/debian-edu-config/tools/setup-freeradius-server:
      + Configure EAP-TTLS/PAP authentication (via Kerberos) in addition to
        PEAP-MSCHAPV2 to provide EAP methods for various end user devices.
      + Keep all configuration adjustments inside the tool itself so that it can
        be used standalone.
      + Add/improve inline documentation.
    - Drop no longer needed files (share/debian-edu-config/freeradius-*), adjust
      Makefile and debian/debian-edu-config.postinst accordingly.

 -- Holger Levsen <holger@debian.org>  Tue, 12 Jan 2021 12:35:54 +0100
