## debian-edu-config 2.11.47

=== Makefile ===
--- 
+++ 
@@ -336,13 +336,11 @@
 		share/debian-edu-config/debian-edu.ldapscripts.passwd \
 		share/debian-edu-config/debian-edu-timesyncd.conf \
 		share/debian-edu-config/passwords_stub.dat \
-		share/debian-edu-config/freeradius-authorize \
-		share/debian-edu-config/freeradius-clients.conf \
-		share/debian-edu-config/freeradius-eap.conf \
-		share/debian-edu-config/freeradius-mschap.conf \
 		share/debian-edu-config/gosa.conf.template \
 		share/debian-edu-config/lightdm-gtk-greeter.conf \
 		share/debian-edu-config/sudo-ldap.conf \
+		share/debian-edu-config/isc-dhcp-server.service \
+		share/debian-edu-config/isc-dhcp-server.service.eth1_only \
 		share/pam-configs/edu-group \
 		share/pam-configs/edu-umask \
 		share/perl5/Debian/Edu.pm \
@@ -375,3 +373,7 @@
 		$(INSTALL_DATA) ldap-bootstrap/$$ldif $(DESTDIR)$(ldapdir)/$$ldif ; \
 	done
 
+	set -e ; for file in $(WWWFILES) ; do \
+		$(INSTALL_DATA) www/$$file $(DESTDIR)/$(wwwdir)/$$file ; \
+	done
+
