=== debian/changelog ===
debian-edu-config (2.11.47) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Cope with issues found during recent installations.
    - share/debian-edu-config/tools/gosa-sync: Add TERM=linux. Without this
      explicit setting a password can't be set or modified any longer.
    - share/debian-edu-config/d-i/finish-install: Make script more robust to
      avoid a totally broken installation in case modprobe fails inside target.
    - cf3/cf.dhcpserver: Correct class statement for several profile cases.
    - share/debian-edu-config/isc-dhcp-server.service and
      share/debian-edu-config/isc-dhcp-server.service.eth1: Make sure the
      slapd.service is available before the DHCP server tries to fetch the
      configuration from LDAP.

 -- Holger Levsen <holger@debian.org>  Sun, 31 Jan 2021 18:39:57 +0100
