## debian-edu-config 2.11.48

=== debian/changelog ===
debian-edu-config (2.11.48) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/debian-edu-config.postinst: Care for a proper /etc/network/interfaces
    file in case of a plain main server.
  * share/debian-edu-config/tools/configure-edu-gateway: Adjust execution
    condition to reflect recent changes, improve feedback for users.
  * sbin/debian-edu-ltsp-install: Make it easier to configure the iPXE menu and
    to describe the needed steps in the manual.
    - Improve /etc/ltsp/ltsp.conf content (here document).
    - Rework Debian Edu specifíc iPXE menu setup.
  * Workaround X2Go bug #890517 to prevent killer from kicking out users:
    - Add share/debian-edu-config/killer.cron file. The modified cron job will
      only run if no X2Go user is logged in on the related LTSP-Server.
    - Add code to cf3/cf.workarounds to replace the existing killer cron job
      on systems with LTSP-Server profile.

 -- Holger Levsen <holger@debian.org>  Sun, 07 Feb 2021 11:45:44 +0100
