## debian-edu-config 2.11.50

=== Makefile ===
--- 
+++ 
@@ -341,6 +341,7 @@
 		share/debian-edu-config/sudo-ldap.conf \
 		share/debian-edu-config/isc-dhcp-server.service \
 		share/debian-edu-config/isc-dhcp-server.service.eth1_only \
+		share/debian-edu-config/killer.cron \
 		share/pam-configs/edu-group \
 		share/pam-configs/edu-umask \
 		share/perl5/Debian/Edu.pm \
@@ -374,6 +375,3 @@
 	done
 
 	set -e ; for file in $(WWWFILES) ; do \
-		$(INSTALL_DATA) www/$$file $(DESTDIR)/$(wwwdir)/$$file ; \
-	done
-
