=== debian/changelog ===
debian-edu-config (2.11.50) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/debian-edu-config.postinst: Adjust to really fix bug ##982448.

 -- Holger Levsen <holger@debian.org>  Tue, 16 Feb 2021 15:39:04 +0100

debian-edu-config (2.11.49) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/debian-edu-config.postinst: Adjust condition. Closes: #982448.
    - Avoid upgrade failure in case /etc/debian-edu/config happens to be empty.
  * sbin/debian-edu-pxeinstall: Copy the debian-installer directories (d-i-n-i
    packages) instead of symlinking them. This allows tftpd-hpa to access them.

 -- Holger Levsen <holger@debian.org>  Tue, 16 Feb 2021 11:00:13 +0100
