## debian-edu-config 2.11.54

=== debian/changelog ===
debian-edu-config (2.11.54) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * share/glib-2.0/schemas/31_debian-edu+mate.gschema.override: Set existing
    mate-panel layout file for the panel to show up. Closes: #986448.

 -- Holger Levsen <holger@debian.org>  Wed, 07 Apr 2021 01:03:15 +0200

debian-edu-config (2.11.53) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Improve GOsa² hooks: explicitly create Samba account using gosa-create
    (before changing the password via gosa-sync). Closes: #986122.
    - tools/gosa-create: Add code to create the user's Samba account.
    - tools/gosa-sync: Adjust log message accordingly.

 -- Holger Levsen <holger@debian.org>  Wed, 31 Mar 2021 10:44:04 +0200

debian-edu-config (2.11.52) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust internal web page related files. (Closes: #985902)
    - www/index.html.en: Use pt-pt for European Portuguese, adjust PO files,
      generate language specific index files.
    - www/{es-es,nb-no,pt-br}.po: Fix blends page link and related translation.

 -- Holger Levsen <holger@debian.org>  Sun, 28 Mar 2021 11:04:27 +0200

debian-edu-config (2.11.51) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * cf3/cf.dhcpserver: Make sure the dhcpd.leases file exists. Closes: #984596.
    (Without a leases file, isc-dhcp-server remains in starting stage forever.)

 -- Holger Levsen <holger@debian.org>  Fri, 05 Mar 2021 19:58:03 +0100
