## debian-edu-config 2.11.56

=== Makefile ===
--- 
+++ 
@@ -197,7 +197,7 @@
 	index.html.ja \
 	index.html.nb-no \
 	index.html.nl \
-	index.html.pt \
+	index.html.pt-pt \
 	index.html.pt-br \
 	index.html.ro \
 	index.html.ru \
