=== debian/changelog ===
debian-edu-config (2.11.56) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust workaround for isc-dhcp-server-ldap bug #971275. (Closes: #989340)
    - share/debian-edu-config/isc-dhcp-server.{service,service.eth1_only}:
      Use ExecStartPre command inspired by the isc-dhcp-server init script
      instead of a sleep command.
  * Adjust Exim configuration on client systems. (Closes: #989338)
    - cf3/cf.exim:
      Use exim-ldap-client-v4.conf file as exim4.conf on client machines instead
      of preseeded configuration. This way sending system emails to the main
      server is working again after the exim4 4.94 changes.
  * Adjust sbin/debian-edu-ltsp-install. (Closes: #989342)
    - Drop line containing the cp command (/var/cache/apt doesn't contain .bin
      files in all use cases and the benefit is minimal if they exist; also, the
      pkgcache.bin and srcpkgcache.bin files might contain outdated data).
    - Use the BD ISO image to setup X2Go thin client support only if the script
      is run inside the Debian Installer environment. There are too many ways
      to install a combined server (with or without Internet connection, with
      or without adjusting the sources list, with or without running apt update)
      to cover all these cases.

 -- Holger Levsen <holger@debian.org>  Sat, 05 Jun 2021 00:06:13 +0200

debian-edu-config (2.11.55) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Create first user's Samba account at first boot of a main server when all
    required information is available via LDAP and debconf.  Closes: #987632.
    - Adjust share/debian-edu-config/tools/kerberos-kdc-init to don't clear the
      required password from debconf and let tools/run-at-firstboot create the
      Samba account.
  * Adjust sbin/debian-edu-ltsp-install: Closes: #987633, #987634.
    - Fix LTSP Initrd specific path component construction in case a 32-bit
      combined server is installed.
    - Provide a full name for diskless workstation to show up in the iPXE menu.
    - Use BD ISO image as mirror to enable complete offline installations of a
      combined server.

 -- Holger Levsen <holger@debian.org>  Thu, 29 Apr 2021 15:27:17 +0200
