## debian-edu-config 2.11.56+deb11u1

=== debian/changelog ===
debian-edu-config (2.11.56+deb11u1) bullseye; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust sbin/debian-edu-ltsp-install. (Closes: #993935)
    Thanks to Dominik George for spotting and reporting the issue.
    - Extend main server related exclude list.
    - Add slapd and xrdp-sesman to the list of masked services.
    - Ensure home directory access after above changes.

 -- Holger Levsen <holger@debian.org>  Tue, 28 Sep 2021 16:32:20 +0200
