## debian-edu-config 2.11.56+deb11u2

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,10 @@
 	debian-edu-copy-pki
 
 SPROGS = debian-edu-fsautoresize \
+	debian-edu-ltsp-chroot \
 	debian-edu-ltsp-install \
+	debian-edu-ltsp-initrd \
+	debian-edu-ltsp-ipxe \
 	debian-edu-pxeinstall \
 	debian-edu-restart-services \
 	debian-edu-test-install \
@@ -285,6 +288,7 @@
 		share/debian-edu-config/tools/ldapdump.sh \
 		share/debian-edu-config/tools/ldappasswd2 \
 		share/debian-edu-config/tools/locate-syslog-collector \
+		share/debian-edu-config/tools/ltsp-addfirmware \
 		share/debian-edu-config/tools/logoutkill.sh \
 		share/debian-edu-config/tools/missing-desktop-file \
 		share/debian-edu-config/tools/movehome \
@@ -371,7 +375,3 @@
 		$(INSTALL_DATA) ldap-schemas/$$schema $(DESTDIR)$(schemadir)/$$schema;\
 	done
 	set -e ; for ldif in $(LDIFS) ; do \
-		$(INSTALL_DATA) ldap-bootstrap/$$ldif $(DESTDIR)$(ldapdir)/$$ldif ; \
-	done
-
-	set -e ; for file in $(WWWFILES) ; do \
