=== debian/changelog ===
debian-edu-config (2.11.56+deb11u2) bullseye; urgency=medium

  [ Mike Gabriel ]
  * share/debian-edu-config/tools/pxe-addfirmware: Fix TFTP server path
    (/var/lib/tftpboot-> /srv/tftp). (Closes: #995610).

  [ Wolfgang Schweer ]
  * Add real support for LTSP chroot setup and maintenance. (Closes: #996103).
    - Adjust existing scripts and manual page for improved LTSP chroot setup:
      + sbin/debian-edu-ltsp-install: Add LTSP diskless client chroot creation,
        use uniform locations for X2Go thin clients and diskless workstations,
        ensure sitesummary-client setup and configuration inside chroots, care
        for proper mount and umount operation, add xrdp-sesman to the list of
        masked services for LTSP clients, make sure all kernels are updated,
        adjust the ltsp.conf file content to match the changes, replace last
        edit date with version number, adjust usage information accordingly.
      + share/debian-edu-config/tools/run-at-firstboot: Care for the changed
        'debian-edu-ltsp-install' default options to make sure combined server
        installations have a generated SquashFS image file just like before.
      + share/man/man8/debian-edu-ltsp-install.8: Update to reflect the changes.
    - Provide maintenance related scripts and manual pages:
      + sbin/debian-edu-ltsp-chroot: Tool to make LTSP chroot maintenance easy.
      + sbin/debian-edu-ltsp-initrd: Wrapper script for 'ltsp initrd' command.
        It makes sure that a use case specific initrd (/srv/tftp/ltsp/ltsp.img)
        is generated and moved to the right location.
      + sbin/debian-edu-ltsp-ipxe: Wrapper script for 'ltsp ipxe' command. It
        cares for a Debian Edu specific /srv/tftp/ltsp/ltsp.ipxe content.
      + share/debian-edu-config/tools/ltsp-addfirmware: Install firmware in LTSP
        chroots in case clients won't work otherwise. (Adjusted tool from Buster
        re-added to the binary package.)
      + share/man/man8/debian-edu-ltsp-chroot.8
      + share/man/man8/debian-edu-ltsp-initrd.8
      + share/man/man8/debian-edu-ltsp-ipxe.8
  * Adjust Makefile to reflect the changes.

 -- Holger Levsen <holger@debian.org>  Sun, 28 Nov 2021 16:10:50 +0100
