## debian-edu-config 2.11.56+deb11u3

=== Makefile ===
--- 
+++ 
@@ -241,6 +241,7 @@
 	done
 
 	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README
+	$(INSTALL_DATA) README.public_html_with_PHP-CGI+suExec.md $(DESTDIR)$(docdir)/README.public_html_with_PHP-CGI+suExec.md
 
 	set -e ; for cf3 in $(CF3FILES); do \
 		$(INSTALL_DATA) cf3/$$cf3 $(DESTDIR)$(cf3dir)/$$cf3; \
@@ -372,6 +373,3 @@
 		fi \
 	done
 	set -e ; for schema in $(SCHEMAS) ; do \
-		$(INSTALL_DATA) ldap-schemas/$$schema $(DESTDIR)$(schemadir)/$$schema;\
-	done
-	set -e ; for ldif in $(LDIFS) ; do \
