=== debian/changelog ===
debian-edu-config (2.11.56+deb11u3) bullseye-security; urgency=medium

  * etc/apache2/mods-available/debian-edu-userdir.conf:
    - White-space cleanup (tabs and spaces mixed).
    - CVE-2021-20001: Disable built-in PHP engine.
    - Add warning to not re-enable PHP interpretation in user dirs (with
      reference to our README).
  * README.public_html_with_PHP-CGI+suExec.md:
    - Provide documentation on how to enable suExec support in Apache2 user
      directories (i.e. ~/public_html).
  * debian/NEWS:
    + Add file, inform about PHP being disabled in Apache2 user directories.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 04 Feb 2022 13:19:51 +0100
