## debian-edu-config 2.11.56+deb11u4

=== Makefile ===
--- 
+++ 
@@ -309,6 +309,7 @@
 		share/debian-edu-config/tools/squid-update-cachedir \
 		share/debian-edu-config/tools/subnet-change \
 		share/debian-edu-config/tools/update-cert-dbs \
+		share/debian-edu-config/tools/update-dlw-krb5-keytabs \
 		share/debian-edu-config/tools/update-firefox-homepage \
 		share/debian-edu-config/tools/update-chromium-homepage \
 		share/debian-edu-config/tools/update-proxy-from-wpad \
@@ -372,4 +373,3 @@
 		$(INSTALL_DATA) "share/man/man1/$$program.1" $(DESTDIR)$(mandir)/man1/$$program.1 ; \
 		fi \
 	done
-	set -e ; for schema in $(SCHEMAS) ; do \
