=== debian/changelog ===
debian-edu-config (2.11.56+deb11u4) bullseye; urgency=medium

  [ Wolfgang Schweer ]
  * etc/exim4/exim-ldap-server-v4.conf: Accept incoming mail from internal
    network sent to root@<mynetwork-names>. (Closes: #1003727).
  * Use mktemp instead of deprecated tempfile, adjust:
    - etc/X11/Xsession-debian-edu
    - sbin/debian-edu-update-netblock
    - share/debian-edu-config/tools/gosa-sync
    - testsuite/postoffice
    (Closes: #1005352).

  [ Mike Gabriel ]
  * share/d-e-c/tools/gosa-modify-host: Only create Kerberos host and service
    principals if they don't yet exist. (Closes: #1002014).
  * share/d-e-c/tools/gosa-create-host: Fix copy+paste flaw in comment.
  * share/debian-edu-config/tools/setup-freeradius-server: Fix integer
    comparison in run-by-root check. Script was not executable fully (not even
    as root).
  * debian/debian-edu-config.fetch-ldap-cert: Drop retrieval of
    Debian-Edu_rootCA from this script. This now is the task of the
    fetch-rootca-cert script. (Closes: #971780).
  * debian/debian-edu-config.fetch-rootca-cert: Ensure proper symlinking of
    Debian-Edu_rootCA.crt in /usr/local/share/ca-certificates/ to
    Debian-Edu_rootCA.crt in /etc/ssl/ca-certificates. Forced symlinking is
    required, because earlier versions of the fetch-ldap-cert init script put
    Debian-Edu_rootCA.crt into /etc/ssl/ca-certificates/ as a file. Forced
    symlinking replaces files by the wanted symlink. The -n option (no-
    dereference) is required to make sure we don't follow any already existing
    symlink. (This relates to #971780).
  * share/debian-edu-config/tools/update-proxy-from-wpad:
    - Fix typo (wrong protocol) in APT proxy config creation.
    - Create a Debian Edu specific proxy configuration in /etc/apt/apt.conf.d/
      named 03debian-edu-config rather than meddling with /etc/apt/apt.conf
      directly. Clean up any earlier meddling from apt.conf, as well. (Closes:
      #1003560).
  * share/debian-edu-config/tools/{update-proxy-from-wpad,wpad-extra}:
    - Don't fail if proxy update is not possible, only send warnings to stderr
      and syslog. Don't source wpad-extra script, execute it instead and capture
      stdout. (Closes: #1008067).
  * sbin/update-hostname-from-ip:
    - Simply if-then-else-clauses, reduce number of exit calls, don't exit with
      non-zero exitcode. Improve syslog messages if things fail. (Closes:
      #1006604).
  * share/debian-edu-config/tools/setup-roaming: Assure libsss-sudo is installed
    on Roaming Workstation. (Closes: #1004605).
  * share/debian-edu-config/tools/gosa-remove: Capture removals of GOsa² user
    templates and ignore them. (Closes: #815042).
  * ldap-schemas/: Update schema files from Debian's latest GOsa² list of
    schemas.
  * share/debian-edu-config/tools/clean-up-host-keytabs: Don't fail
    on Kerberos principal removal.
  * etc/cups/cups-browsed-debian-edu.conf:
    - Let TJENER's print queues appear on Debian Edu clients, use same
      print queue names on clients as on TJENER. (Closes: #1005841).
  * sbin/debian-edu-pxeinstall:
    - Don't append 'ipappend 2' to the kernel boot cmdline anymore as it
      confuses systemd when booting into the installed system. This resolves
      the graphical.target not coming up on Debian Edu workstations that got
      installed via the PXE/network based Debian Installer method. (Closes:
      #1006362).
    - Silence stderr output if the artwork theme lacks a plymouth subfolder.
      This can be silently ignored and should not trouble Debian Edu admins.
  * Support krb5i on Diskless Workstations (aka LTSP FAT Clients):
    - ldap-bootstrap/netgroup.ldif: Add diskless-workstation-hosts NIS netgroup
      during LDAP bootstrap.
    - debian/debian-edu-config.{postinst,postrm}: Create non-privileged
      debian-edu system user account on Debian Edu mainserver (for distribution
      of host keytabs to diskless workstations aka LTSP fat clients).
    - share/debian-edu-config/tools/: Add update-dlw-krb5-keytabs script and
      call it (with delay) from gosa-modify-host hook script. (Closes: #613167,
      #1002018).
  * Move /etc/debian-edu/host-keytabs/* to /var/lib/debian-edu/host-keytabs/
    and replace directory /etc/debian-edu/host-keytabs by a symlink. (Closes:
    #1002019).
  * share/debian-edu-config/squid.conf:
    - Prefer DNSv4 lookups over DNSv6. Debian Edu does not yet fully support
      IPv6 and many schools still use IPv4 primarily. This gives a great
      performance boost to squid installations if IPv6 internet is not fully
      available for whatever reason. (Closes: #1006375).
  * share/debian-edu-config/tools/list-gosa-systems:
    - Drop immature list-gosa-systems script again that got sneaked in via
      upload of 2.11.56+deb11u3. We apologize for the noise.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Mar 2022 12:28:00 +0100
